دورات هندسية

 

 

برنامج ليسب رائع لنقل أى Txt الى الاوتوكاد

صفحة 1 من 3 12 3 الأخيرةالأخيرة
النتائج 1 إلى 10 من 29
  1. [1]
    الصورة الرمزية المقترب
    المقترب
    المقترب غير متواجد حالياً

    عضو فعال جداً

    تاريخ التسجيل: Jan 2007
    المشاركات: 385
    Thumbs Up
    Received: 74
    Given: 8

    برنامج ليسب رائع لنقل أى Txt الى الاوتوكاد

    سلام للاخوان
    ايش لونكم جميعا

    مابدرى حدا راح يرد السلام ام لا

    المهم اليكم البرنامج والله يكرمكم من يستطيع استخدامه يكتب هنا كيف لانى بحاول وما عمل معى ربما يعمل معكم
    البرنامج اسمه
    TXTIN

    ..........................;TEXTIN.LSP By: Jeffery P. Sanders
    ;This program takes any text file and prints it in AutoCAD.
    ;define program - listing your variable names here
    ; resets them to nil after the program finishes
    (defun C:TEXTIN(/ lts ernote inspt filen fil lineone)
    ;turn echo off
    (setvar "cmdecho" 0)
    ;get ltscale (Note: ltscale should always equal dimscale)
    (setq lts(getvar "ltscale"))
    ;set the exit note to display successful
    (setq ernote "\n....TextIn Complete.")
    ;get the text insertion point
    (setq inspt(getpoint "\nInsertion Point: "))
    ;use dialog box to get file name / the 4 allows
    ;the user to type in a new file extension
    ;the "txt" sets the default to be "*.txt"
    (setq filen
    (getfiled "Select Text File" "" "txt" 4)
    )
    ;if file exist, open file to read
    (if (setq fil(open filen "r"))
    ;progn necessary for multiple statements inside if statement
    (progn
    ;while the line from text file does not equal nil
    (while (setq lineone(read-line fil))
    ;print the text in AutoCAD drawing
    (command "text" inspt(* lts(getvar "textsize"))0.0 lineone)
    ;move down one line each loop by resetting the insertion point
    (setq inspt
    ;start the polar function i.e. [polar pt angle distance]
    (polar
    ;from the insertion point
    inspt
    ;set the angle to go down i.e. (270 deg OR pi + pi/2 radians)
    (* pi 1.5)
    ;distance down to the next line is (textsize x 1.5) x ltscale
    (* lts (* 1.5(getvar "textsize")))
    ) ; close the polar function
    ) ; close the setq
    ) ; close the while loop
    ;close the text file
    (close fil)
    ) ; close the if progn statement
    ;else set the exiting remark as an error
    (setq ernote (strcat "\nCannot Find File: " filen))
    ) ; close the if statement
    ;turn echo on
    (setvar "cmdecho" 1)
    ;print the exiting remark
    (princ ernote)
    (princ "\n ") ; clear command line
    (princ) ; no echo
    ) ; close the program
    .................................................. ...................................

    ارجو الفائده منه
    والسلام

  2. [2]
    engramy
    engramy غير متواجد حالياً
    عضو متميز
    الصورة الرمزية engramy


    تاريخ التسجيل: Aug 2006
    المشاركات: 1,414
    Thumbs Up
    Received: 12
    Given: 0
    أخي الكريم
    لقد حاولت كثيرا في هذا البرنامج
    ولكن برنامج الـ AutoCAD لا يريد تحميل هذا الت LISP ويعنى الخطأ
    error: misplaced dot on input

    0 Not allowed!



  3. [3]
    zkloal
    zkloal غير متواجد حالياً
    عضو


    تاريخ التسجيل: Dec 2006
    المشاركات: 34
    Thumbs Up
    Received: 0
    Given: 0
    تم اصلاحة
    فقط اضف في اول السطر الاول ;
    والبرنامج اشغل عندي 100% والحمدلله ثم لك الشكر يلخي على البرنامج
    وهذا البرنامج بعد التعديل
    ;..........................;TEXTIN.LSP By: Jeffery P. Sanders
    ;This program takes any text file and prints it in AutoCAD.
    ;define program - listing your variable names here
    ; resets them to nil after the program finishes
    (defun C:TEXTIN(/ lts ernote inspt filen fil lineone)
    ;turn echo off
    (setvar "cmdecho" 0)
    ;get ltscale (Note: ltscale should always equal dimscale)
    (setq lts(getvar "ltscale"))
    ;set the exit note to display successful
    (setq ernote "\n....TextIn Complete.")
    ;get the text insertion point
    (setq inspt(getpoint "\nInsertion Point: "))
    ;use dialog box to get file name / the 4 allows
    ;the user to type in a new file extension
    ;the "txt" sets the default to be "*.txt"
    (setq filen
    (getfiled "Select Text File" "" "txt" 4)
    )
    ;if file exist, open file to read
    (if (setq fil(open filen "r"))
    ;progn necessary for multiple statements inside if statement
    (progn
    ;while the line from text file does not equal nil
    (while (setq lineone(read-line fil))
    ;print the text in AutoCAD drawing
    (command "text" inspt(* lts(getvar "textsize"))0.0 lineone)
    ;move down one line each loop by resetting the insertion point
    (setq inspt
    ;start the polar function i.e. [polar pt angle distance]
    (polar
    ;from the insertion point
    inspt
    ;set the angle to go down i.e. (270 deg OR pi + pi/2 radians)
    (* pi 1.5)
    ;distance down to the next line is (textsize x 1.5) x ltscale
    (* lts (* 1.5(getvar "textsize")))
    ) ; close the polar function
    ) ; close the setq
    ) ; close the while loop
    ;close the text file
    (close fil)
    ) ; close the if progn statement
    ;else set the exiting remark as an error
    (setq ernote (strcat "\nCannot Find File: " filen))
    ) ; close the if statement
    ;turn echo on
    (setvar "cmdecho" 1)
    ;print the exiting remark
    (princ ernote)
    (princ "\n ") ; clear command line
    (princ) ; no echo
    ) ; close the program

    0 Not allowed!



  4. [4]
    engramy
    engramy غير متواجد حالياً
    عضو متميز
    الصورة الرمزية engramy


    تاريخ التسجيل: Aug 2006
    المشاركات: 1,414
    Thumbs Up
    Received: 12
    Given: 0
    فعلا البرنامج إشتغل
    100 %
    بس أنا ضفت مسافة في السطر الخامس بعد كلمة TEXTIN
    (defun C:TEXTIN (/ lts ernote inspt filen fil lineone)
    ولتشغيله إكتب TEXTIN

    0 Not allowed!



  5. [5]
    sosohoho
    sosohoho غير متواجد حالياً
    عضو متميز


    تاريخ التسجيل: Jul 2006
    المشاركات: 605
    Thumbs Up
    Received: 9
    Given: 0
    السلام عليكم يا حبيبي لا نحتاج الى برامج لكتابة الجالكتابات في برنامج الاوتوكاد فانا اعرف طريقة تذهب الى احدى البرامج مثل وورد او اكسل وتذهب الى وورد ارت وتكتب الجملة وبعده تذهب الى اوتوكاد وتعمل سبيشل بيست وتختار الاختيار الثانى على ما اعتقد ان لم تخني ذاكرتي وتاتي الكليمات بالشكل المطلوب مع تحيات sosohohoمن عيتكاوة

    0 Not allowed!



  6. [6]
    محمد نحلة
    محمد نحلة غير متواجد حالياً
    جديد


    تاريخ التسجيل: Feb 2007
    المشاركات: 3
    Thumbs Up
    Received: 0
    Given: 0
    الف شكر ياخىى

    0 Not allowed!



  7. [7]
    سنمار1974
    سنمار1974 غير متواجد حالياً
    عضو


    تاريخ التسجيل: Dec 2006
    المشاركات: 15
    Thumbs Up
    Received: 0
    Given: 0
    أخي العزيز لا تحتاج أبدا إلى برنامج للكتابة في الأوتوكاد كل ما في الامر هو ان تكتكب في الwordأو excelتعمل كوبي للحافظة ثم باست .
    وللعلم تستخدم هذه الطريقة فقط في البرامج التي لا تدعم الكتابة باللغة العربية

    0 Not allowed!



  8. [8]
    محمود مرسى
    محمود مرسى غير متواجد حالياً
    جديد


    تاريخ التسجيل: Feb 2007
    المشاركات: 8
    Thumbs Up
    Received: 0
    Given: 0
    ان شاء الله سوف احاول استخدام الليسب وهقول لك كيف يعمل

    0 Not allowed!



  9. [9]
    احمدعبدالجبار
    احمدعبدالجبار غير متواجد حالياً
    عضو


    تاريخ التسجيل: Oct 2006
    المشاركات: 31
    Thumbs Up
    Received: 0
    Given: 0
    هو وين البرنامج

    0 Not allowed!



  10. [10]
    engramy
    engramy غير متواجد حالياً
    عضو متميز
    الصورة الرمزية engramy


    تاريخ التسجيل: Aug 2006
    المشاركات: 1,414
    Thumbs Up
    Received: 12
    Given: 0
    اقتباس المشاركة الأصلية كتبت بواسطة احمدعبدالجبار مشاهدة المشاركة
    هو وين البرنامج
    البرنامج موجود في المرفقات

    فقط قم بعمل Load له في برنامج الـ AutoCAD

    0 Not allowed!


    الملفات المرفقة



    -----------------------------------------------------------------------------------------


  
صفحة 1 من 3 12 3 الأخيرةالأخيرة
الكلمات الدلالية لهذا الموضوع

عرض سحابة الكلمة الدلالية

RSS RSS 2.0 XML MAP HTML